unit ContatoCliente;

interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TelaComum, ImgList, ExtCtrls, StdCtrls, Buttons, IB_Controls,
  Mask, jpeg;

type
  TfrmContatoCliente = class(TfrmTelaComum)
    edtNome: TIB_Edit;
    IB_Edit2: TIB_Edit;
    IB_Edit3: TIB_Edit;
    IB_Edit4: TIB_Edit;
    IB_Edit5: TIB_Edit;
    IB_Edit6: TIB_Edit;
    IB_Memo1: TIB_Memo;
    Image1: TImage;
    procedure BtGravarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmContatoCliente: TfrmContatoCliente;

implementation

uses CadCliente;

{$R *.dfm}

procedure TfrmContatoCliente.BtGravarClick(Sender: TObject);
begin
  inherited;

  if edtNome.Text = '' then
  begin
     MessageDlg('Informe o nome od contato', mtWarning, [mbOK], 0);
     edtNome.SetFocus;
     Exit 
  end;

  ModalResult := mrOk;
end;

end.
